Subject: bug#43209: closed (Re: bug#43209: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Jun 2021 05:34:02 +0000

Your bug report

#43209: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43209: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43209
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43209: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled
From: Allen Li <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Jun 2021 05:33:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Jun 19, 2021 at 12:21 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Allen Li <[email-masked]> writes:
>
> >  I'm not quite sure I fully understand the suggestion -- do you mean that
> >  `C-x SPC' should switch transient-mark-mode on if it isn't already?
> >  (And then switch it off again in `deactivate-mark-hook'?)
> >
> > Behavior-wise, it should work the same as `C-SPC C-SPC` when
> > transient-mark-mode is off,
> > (temporarily enable transient-mark-mode and active region).
> > I don't remember how that is implemented off the top of my head.
>
> We don't normally switch transient mark mode on (even temporarily)
> unless the user has requested so (with `C-SPC C-SPC', for instance).  So
> I still don't understand why this rectangle command should do so.
>
> `C-x SPC' seems to work fine both with transient mode on or off, as far
> as I can tell?
>

I suppose it does.  I guess I originally did not appreciate how one could
use rectangle-mark-mode
with a non-active region, but it seems to work as the me today expects, so
I'll close this bug.

>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

Subject: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled
From: Allen Li <[email-masked]>
To: [email-masked]
Date: Fri, 04 Sep 2020 20:04:06 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

rectangle-mark-mode does not activate region if transient mark mode is
disabled.

Steps:

1. emacs -Q
2. M-x transient-mark-mode RET
3. C-x SPC

Expected:

Region is activated temporarily.

Actual:

Region is not activated.  Note that rectagle-mark-mode is still
partially enabled.  For example, C-x C-x moves point according to the
rectangular region, but you cannot move point beyond the end of the
line.

I propose making rectangle-mark-mode activate the region even if
transient-mark-mode is disabled for a number of reasons.

I think it's a reasonable interpretation of the docstring:

Activates the region if needed.  Only lasts until the region is
deactivated.

rectangle-mark-mode is transient like having an active region and unlike
having a mark.  That is to say, someone who uses the mark with
transient-mark-mode off may not want to operate on the region and thus
not want to activate the region (e.g., when using the mark to jump to
later), but there is no use case for rectangle-mark-mode that does not
involve operating on the region.

Also since rectangle-mark-mode is transient, it makes sense to couple it
with region activation as the active region is also transient with the
same lifespan.

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22)
 of 2020-08-13 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Arch Linux